coordinate_traits.hpp File Reference

The coordinate traits provide an access to the members of the structures representing a coordinate in a 2D space. More...

`#include <claw/coordinate_2d.hpp>`
`#include <claw/vector_2d.hpp>`

Go to the source code of this file.

## Classes

struct | claw::math::coordinate_traits< claw::math::coordinate_2d< T > >
| Specialization of the coordinate_traits for claw::math::coordinate_2d. More...
struct | claw::math::coordinate_traits< claw::math::vector_2d< T > >
| Specialization of the coordinate_traits for claw::math::vector_2d. More...

## Namespaces

namespace | claw
| This is the main namespace.
namespace | claw::math
| Manipulation of mathematic, geometric, etc. items.

## Detailed Description

The coordinate traits provide an access to the members of the structures representing a coordinate in a 2D space.

Author
  Julien Jorge

Definition in file coordinate_traits.hpp.